Como corrigir erros de atualização do Ubuntu

Cum se remediază erorile de actualizare Ubuntu
⏱️ 4 min read

Por todos os seus benefícios, ocasionalmente o Ubuntu pode lançar alguns erros ao atualizar o sistema que podem confundir e até mesmo preocupar um novo usuário. Lembro-me da primeira vez que tive “pacotes quebrados” por falta de experiência – acabei destruindo o sistema operacional e reinstalando, jurando nunca mais usar a linha de comando. A realidade é bem menos dramática, especialmente agora que o Ubuntu amadureceu desde os dias de 8.04, quando o instalei pela primeira vez.

A seguir estão mensagens de erro comuns e como corrigi-las com o mínimo de barulho.

Pacote Hash Mismatch

Por mais comum que pareça, o Ubuntu infelizmente produzirá esse erro genericamente, o que significa que fornece poucas informações sobre o problema, caso não haja um problema com a Internet. Para diagnosticar isso, volte ao Terminal e digite:

Uma longa série de texto rolará pela tela, mas dentro dela estará a seguinte linha ou algo semelhante:

Para consertar isso, você pode inserir isso no Terminal:

Isso removerá todos os pacotes em cache e forçará o sistema a baixá-los novamente.

Falha ao baixar informações do repositório

Este erro é mais direto e geralmente devido a um PPA que você adicionou que não está mais disponível ou simplesmente não está respondendo.

Se for um problema de PPA, simplesmente identifique qual dos PPAs está falhando e remova-o das fontes. Faça como acima, digitando:

Falha ao baixar informações do pacote

Este é outro erro de pacote direto. Simplesmente vá para as fontes e altere a fonte para o Servidor Principal.

ubuntu-failed-pack-min

ubuntu-sources-min

Alterar isso significa que os downloads futuros podem ser um pouco mais lentos, devido ao servidor principal estar mais ocupado do que um local, mas deve ser mais estável e ter um tempo de atividade mais longo do que os servidores locais que podem ser ocasionalmente irregulares.

Erro de atualização parcial

Ao executar uma atualização no Terminal, os usuários podem receber o seguinte erro:

Execute este comando para corrigir o problema:

Não foi possível obter Lock / var / cache / apt / archives / lock

Quando outro pacote estiver usando o apt, este erro aparecerá. Para explicar, talvez você esteja instalando um pacote .deb como o Google Chrome e então decida usar o Terminal para instalar outra coisa, como Chromium ou Firefox, ao mesmo tempo.

Normalmente, você pode esperar que o pacote .deb termine a instalação e simplesmente feche o Centro de Software ou gdebi se usar isso. No entanto, se o problema persistir, você pode resolvê-lo digitando o seguinte no Terminal:

Se isso falhar, você pode interromper o processo por meio de:

Erro GPG: as seguintes assinaturas não podem ser verificadas

Isso não é realmente um erro, apenas uma pequena questão de configuração. Isso costumava acontecer muito com os Drivers de gráficos Intel ao adicionar o PPA. Tentar atualizar através do Terminal resultará em:

A solução é obter a chave pública no sistema. Pegue a chave da mensagem acima e digite o seguinte:

Inevitavelmente, isso mudará com base no que você está tentando verificar e importar, portanto, use o acima como um guia.

Esperançosamente, isso resolverá muitos erros que os usuários enfrentam e ajudará a evitar reinstalações dramáticas. Como você resolve erros no Ubuntu? Deixe-nos saber na seção de comentários, especialmente se você tiver outros métodos.

Join our Newsletter and receive offers and updates! ✅

0 0 votes
Article Rating
Avatar of Routech

Routech

Routech is a website that provides technology news, reviews and tips. It covers a wide range of topics including smartphones, laptops, tablets, gaming, gadgets, software, internet and more. The website is updated daily with new articles and videos, and also has a forum where users can discuss technology-related topics.

Você pode gostar...

Subscribe
Notify of
guest
0 Comments
Inline Feedbacks
View all comments
0
Would love your thoughts, please comment.x